error LNK2038: 检测到“_ITERATOR_DEBUG_LEVEL”的不匹配项: 值“2”不匹配值“0

  • error LNK2038: 检测到“_ITERATOR_DEBUG_LEVEL”的不匹配项: 值“2”不匹配值“0”

报错是因为引用外部lib时,编译的版本与lib版本不匹配

编译了Release版,但是lib版本是Debug版本

  • error LNK2038: 检测到“_ITERATOR_DEBUG_LEVEL”的不匹配项: 值“0”不匹配值“2”

报错是因为引用外部lib时,编译的版本与lib版本不匹配

编译的是Debug版,但是lib版本是Release版本


转载请注明来源,欢迎对文章中的引用来源进行考证,欢迎指出任何有错误或不够清晰的表达。可以在下面评论区评论,也可以邮件至 wind.kaisa@gmail.com

文章标题:error LNK2038: 检测到“_ITERATOR_DEBUG_LEVEL”的不匹配项: 值“2”不匹配值“0

本文作者:kaisawind

发布时间:2019-09-23, 06:56:05

最后更新:2020-11-18, 15:55:44

原始链接:https://kaisawind.gitee.io/2019/09/22/2019-09-23-cpp/

版权声明: "署名-非商用-相同方式共享 4.0" 转载请保留原文链接及作者。

目录
×

喜欢就点赞,疼爱就打赏